Yapper API
Api reference
GET
/sessions/{sessionId}/canvas/nodes/{nodeId}

Returns one card with every version (run) it has made, newest first. Uses the processes:read scope.

Authorization

bearerAuth processes:read
AuthorizationBearer <token>

In: header

Scope: processes:read

Path Parameters

sessionId*string
nodeId*string

A card id from GET /sessions/{sessionId}/canvas.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sessions/string/canvas/nodes/string"
{  "id": "string",  "kind": "text",  "label": "string",  "position": {    "x": 0,    "y": 0  },  "width": 0,  "height": 0,  "locked": true,  "ports": {    "inputs": [      {        "id": "prompt",        "type": "text",        "maxConnections": 0,        "connected": 0      }    ],    "output": "text"  },  "inputs": [    {      "port": "string",      "sourceNodeId": "string",      "order": 0    }  ],  "text": "string",  "asset": {    "assetId": "string",    "type": "image",    "url": "string",    "thumbnailUrl": "string",    "width": 0,    "height": 0,    "duration": 0,    "name": "string"  },  "pending": true,  "prompt": "string",  "modelId": "string",  "aspectRatio": "string",  "resolution": "string",  "numOutputs": 0,  "duration": 0,  "durationMode": "string",  "generateAudio": true,  "customSettings": {},  "promptGuide": "string",  "runCount": 0,  "runs": [    {      "id": "string",      "index": 0,      "status": "waiting",      "processId": "string",      "canvasRunId": "string",      "modelId": "string",      "startedAt": "2019-08-24T14:15:22Z",      "creditsEstimated": 0,      "outputs": [        {          "assetId": "string",          "type": "image",          "url": "string",          "thumbnailUrl": "string",          "width": 0,          "height": 0,          "duration": 0,          "name": "string"        }      ],      "text": "string",      "error": "string"    }  ],  "selectedOutput": {    "runId": "string",    "outputIndex": 0  },  "output": null,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}